---
title: StyleSheet.media
slug: Web/API/StyleSheet/media
tags:
  - API
  - CSSOM
  - Property
  - Reference
---
<div>{{APIRef("CSSOM")}}</div>

<p>The <code><strong>media</strong></code> property of the {{domxref("StyleSheet")}} interface specifies the intended destination media for style information. It is a read-only, array-like <code>MediaList</code> object and can be removed with <code>deleteMedium()</code> and added with <code>appendMedium()</code>.</p>

<h2 id="Example">Example</h2>

<pre>&lt;!doctype html&gt;
&lt;html&gt;
&lt;head&gt;
&lt;link rel="stylesheet" href="document.css" type="text/css" media="screen" /&gt;
&lt;style rel="stylesheet" type="text/css" media="screen, print"&gt;
body  { background-color: snow; }
&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;

&lt;script&gt;
for (var iSheetIndex = 0; iSheetIndex &lt; document.styleSheets.length; iSheetIndex++)
 {
  console.log('document.styleSheets[' + String(iSheetIndex) + '].media: ' +
   JSON.stringify(document.styleSheets[iSheetIndex].media));
  if (iSheetIndex === 0)
    document.styleSheets[iSheetIndex].media.appendMedium('handheld');
  if (iSheetIndex === 1)
    document.styleSheets[iSheetIndex].media.deleteMedium('print');
  console.log('document.styleSheets[' + String(iSheetIndex) + '].media: ' +
   JSON.stringify(document.styleSheets[iSheetIndex].media));
 }
/*
will log:
document.styleSheets[0].media: {"0":"screen"}
document.styleSheets[0].media: {"0":"screen","1":"handheld"}
document.styleSheets[1].media: {"0":"screen","1":"print"}
document.styleSheets[1].media: {"0":"screen"}
*/
&lt;/script&gt;

&lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM', '#dom-stylesheet-media', 'StyleSheet: media')}}</td>
   <td>{{Spec2('CSSOM')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StyleSheet.media")}}</p>
